# COPR Ligenix's spec file for glpi-plugin-rgpdtools
#
# Copyright (c) 2024-2024 Jean-Marc Liger
#
# License: CC-BY-SA
# http://creativecommons.org/licenses/by-sa/4.0/
#
# Please, preserve the changelog entries
#
%global pluginname rgpdtools
%global glpi_min   9.5
%global glpi_max   11

Name:           glpi-plugin-%{pluginname}
Version:        1.1.3
Release:        1%{?dist}
Summary:        GLPI Plugin to manage RGPD user informations
Summary(fr):    Extension GLPI pour gérer les informations RGPD de l'utilisateur


License:        AGPLv3+
URL:            https://github.com/Probesys/glpi-plugins-%{pluginname}/releases

Source0:        https://github.com/Probesys/glpi-plugins-%{pluginname}/releases/download/%{version}/%{pluginname}-%{version}.tbz

BuildArch:      noarch

%if 0%{?fedora} || 0%{?rhel} >= 8
Requires:      (glpi >= %{glpi_min} with glpi < %{glpi_max})
%else
Requires:       glpi >= %{glpi_min}
Requires:       glpi <  %{glpi_max}
%endif


%description
This GLPI plugin let you to to manage RGPD user informations.

%description -l fr
Cette extension GLPI vous permet de gérer les informations RGPD de l'utilisateur.


%prep
%setup -q -c

grep "define('PLUGIN_RGPDTOOLS_GLPI_M" %{pluginname}/setup.php

# remove unused files
rm    %{pluginname}/%{pluginname}.xml
rm    %{pluginname}/composer.*
rm -r %{pluginname}/.travis.yml

# move doc files
mkdir docs
mv %{pluginname}/LICENSE.md docs/

# Create link to LICENSE for standard doc folder
ln -s %{_datadir}/glpi/plugins/%{pluginname}/LICENSE LICENSE


%build
# empty build


%install
mkdir -p %{buildroot}%{_localstatedir}/lib/glpi/files/_plugins/%{pluginname}

mkdir -p %{buildroot}/%{_datadir}/glpi/plugins
cp -ar %{pluginname} %{buildroot}/%{_datadir}/glpi/plugins/%{pluginname}

for i in %{buildroot}/%{_datadir}/glpi/plugins/%{pluginname}/locales/*
do
  lang=$(basename $i)
  echo "%lang(${lang:0:2}) %{_datadir}/glpi/plugins/%{pluginname}/locales/${lang}"
done | tee %{name}.lang


%files -f %{name}.lang
%{!?_licensedir:%global license %%doc}
%license LICENSE
%doc docs/*
%dir %{_datadir}/glpi/plugins/%{pluginname}
%dir %{_datadir}/glpi/plugins/%{pluginname}/locales
# LICENSE file required by installation process
%{_datadir}/glpi/plugins/%{pluginname}/LICENSE
%{_datadir}/glpi/plugins/%{pluginname}/*.php
%{_datadir}/glpi/plugins/%{pluginname}/front
%{_datadir}/glpi/plugins/%{pluginname}/inc
# data
%attr(750,apache,root) %{_localstatedir}/lib/glpi/files/_plugins/%{pluginname}


%changelog
* Tue Sep 17 2024 Jean-Marc Liger <ligenix@iscp.fr> - 1.1.3-1
- Version 1.1.3 for GLPI 9.5.x and 10.0.x
- Initial RPM based on Remi Collet previous GLPI plugins spec files
